Bug 1467948 - Service Broker Installer not setting correct config values
Summary: Service Broker Installer not setting correct config values
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.7.0
Assignee: Shawn Hurley
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-05 15:10 UTC by Shawn Hurley
Modified: 2017-11-28 22:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 22:00:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Shawn Hurley 2017-07-05 15:10:05 UTC
Description of problem:
ansible service broker is not setting broker configuration values correctly.
Example:
launchapbonbind should be launch_apb_on_bind



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Shawn Hurley 2017-07-05 15:16:44 UTC
Current Config Values: 
broker:
  devbroker: false
  launchapbonbind: "{{ ansible_service_broker_launch_apb_on_bind }}"

Expected Config Values:
broker:
  dev_broker: false
  launch_apb_on_bind: "{{ ansible_service_broker_launch_apb_on_bind }}"
  recovery: true
  output_request: "{{ ansible_service_broker_output_request }}"

Comment 2 Shawn Hurley 2017-07-06 19:41:06 UTC
Pull request submitted: https://github.com/openshift/openshift-ansible/pull/4692

Comment 3 Johnny Liu 2017-07-24 09:31:40 UTC
Verified this bug with openshift-ansible-3.6.162-1.git.0.50e29bd.el7.noarch, and PASS.


# oc get cm -n openshift-ansible-service-broker -o yaml
apiVersion: v1
items:
- apiVersion: v1
  data:
    broker-config: |
      registry:
        name: "rhcc"
        url:  "registry.access.stage.redhat.com"
        user: ""
        pass: ""
        org:  ""
      dao:
        etcd_host: etcd
        etcd_port: 2379
      log:
        logfile: /var/log/ansible-service-broker/asb.log
        stdout: true
        level: "info"
        color: true
      openshift: {}
      broker:
        dev_broker: false
        launch_apb_on_bind: false
        recovery: true
        output_request: false
        bootstrap_on_startup: true
  kind: ConfigMap
  metadata:
    creationTimestamp: 2017-07-24T06:32:26Z
    labels:
      app: ansible-service-broker
    name: broker-config
    namespace: openshift-ansible-service-broker
    resourceVersion: "8635"
    selfLink: /api/v1/namespaces/openshift-ansible-service-broker/configmaps/broker-config
    uid: dbe7bee5-7039-11e7-99ab-fa163e2cf4fe
kind: List
metadata: {}
resourceVersion: ""
selfLink: ""

Comment 7 errata-xmlrpc 2017-11-28 22:00:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.